### Enumeration

# Handy FlapTransitionType

since: 1.2

#### Declaration

    enum Handy.FlapTransitionType

#### Description [src]

Describes transitions types of a `HdyFlap` widget.

These enumeration values describe the possible transitions between children in a `HdyFlap` widget, as well as which areas can be swiped via `HdyFlap:swipe-to-open` and `HdyFlap:swipe-to-close`.

New values may be added to this enum over time.

Available since: 1.2

#### Members

`HDY_FLAP_TRANSITION_TYPE_OVER`

  The flap slides over the content, which is dimmed. When folded, only the flap can be swiped.

  - Value: `0`
  - Available since: 1.2
`HDY_FLAP_TRANSITION_TYPE_UNDER`

  The content slides over the flap. Only the content can be swiped.

  - Value: `1`
  - Available since: 1.2
`HDY_FLAP_TRANSITION_TYPE_SLIDE`

  The flap slides offscreen when hidden, neither the flap nor content overlap each other. Both widgets can be swiped.

  - Value: `2`
  - Available since: 1.2